import React from "react";
import { withStyles } from "@material-ui/core/styles";
import MuiExpansionPanel from "@material-ui/core/ExpansionPanel";
import MuiExpansionPanelSummary from "@material-ui/core/ExpansionPanelSummary";
import MuiExpansionPanelDetails from "@material-ui/core/ExpansionPanelDetails";
import Typography from "@material-ui/core/Typography";
import ExpandMoreIcon from "@material-ui/icons/ExpandMore";
import SearchEPCompCurriculum from "./SearchEPCompCurriculum";
import SearchEPTiposRec from "./SearchEPTiposRec";
import SearchEPEtapasEns from "./SesrchEPEtapasEns";
import SearchEPIdiomas from "./SearchEPIdiomas";
const ExpansionPanel = withStyles({
  root: {
    border: "1px solid rgba(0, 0, 0, .125)",
    boxShadow: "none",
    '.MuiButtonBase-root' : {
      paddingInline:"0 !important"
    },
    "&:not(:last-child)": {
      borderBottom: 0
    },
    "&:before": {
      display: "none"
    },
    "&$expanded": {
      margin: "auto"
    }
  },
  expanded: {}
})(MuiExpansionPanel);

const ExpansionPanelSummary = withStyles({
  root: {
    color: "#666",
    marginBottom: -1,
    minHeight: 56,
    backgroundColor: "#fff",
    

    "&$expanded": {
      minHeight: 56,
      backgroundColor: "#fff"
    }
  },
  content: {
    "&$expanded": {
      margin: "12px 0"
    }
  },
  expanded: {}
})(MuiExpansionPanelSummary);

const TesteTypography = withStyles({
  root: {
    fontSize: "17px"
  }
})(Typography);

const ExpansionPanelDetails = withStyles(theme => ({
  root: {
    padding: theme.spacing(2)
  }
}))(MuiExpansionPanelDetails);

export default function SearchExpansionPanel(props) {
  return (
    <div>
      <link
        href="https://fonts.googleapis.com/css?family=Roboto:400,500&display=swap"
        rel="stylesheet"
      />

      <ExpansionPanel square>
        <ExpansionPanelSummary
          aria-controls="panel1d-content"
          id="panel1d-header"
        >
          <Typography
            style={{
              fontSize: "18px",
              textTransform: "uppercase",
              fontWeight: "500"
            }}
          >
            Filtros
          </Typography>
        </ExpansionPanelSummary>
      </ExpansionPanel>

      <ExpansionPanel square>
        <ExpansionPanelSummary
          expandIcon ={<ExpandMoreIcon/>}
          
          aria-controls="panel2d-content"
          id="panel2d-header"
        >
          <TesteTypography>Componentes Curriculares</TesteTypography>
        </ExpansionPanelSummary>
        <ExpansionPanelDetails>
          <Typography>
            <SearchEPCompCurriculum onChange={props.onChange}/>
          </Typography>
        </ExpansionPanelDetails>
      </ExpansionPanel>

      <ExpansionPanel square>
        <ExpansionPanelSummary
          expandIcon={<ExpandMoreIcon />}
          aria-controls="panel3d-content"
          id="panel3d-header"
        >
          <Typography>Tipos de Recurso</Typography>
        </ExpansionPanelSummary>
        <ExpansionPanelDetails>
          <SearchEPTiposRec onChange={props.onChange}/>
        </ExpansionPanelDetails>
      </ExpansionPanel>

      <ExpansionPanel square>
        <ExpansionPanelSummary
          aria-controls="panel4d-content"
          expandIcon={<ExpandMoreIcon />}
          id="panel4d-header"
        >
          <Typography>Etapas de Ensino</Typography>
        </ExpansionPanelSummary>
        <ExpansionPanelDetails>
          <SearchEPEtapasEns onChange={props.onChange}/>
        </ExpansionPanelDetails>
      </ExpansionPanel>

      <ExpansionPanel square>
        <ExpansionPanelSummary
          aria-controls="panel5d-content"
          expandIcon={<ExpandMoreIcon />}
          id="panel5d-header"
        >
          <Typography>Idiomas</Typography>
        </ExpansionPanelSummary>
        <ExpansionPanelDetails>
          <SearchEPIdiomas onChange={props.onChange}/>
        </ExpansionPanelDetails>
      </ExpansionPanel>

      <ExpansionPanel square>
        <ExpansionPanelSummary
          aria-controls="panel6d-content"
          expandIcon={<ExpandMoreIcon />}
          id="panel6d-header"
        >
          <Typography>Palavra-Chave</Typography>
        </ExpansionPanelSummary>
        <ExpansionPanelDetails>
          <Typography>
            Lorem ipsum dolor sit amet, consectetur adipiscing elit. Suspendisse
            malesuada lacus ex, sit amet blandit leo lobortis eget. Lorem ipsum
            dolor sit amet, consectetur adipiscing elit. Suspendisse malesuada
            lacus ex, sit amet blandit leo lobortis eget.
          </Typography>
        </ExpansionPanelDetails>
      </ExpansionPanel>
    </div>
  );
}
